// $Id: IRQHelper.cc,v 1.7 2004/12/15 09:09:45 m9710797 Exp $

#include "IRQHelper.hh"

namespace openmsx {

IRQHelper::IRQHelper(bool nmi)
	: nmi(nmi)
	, request(false)
	, cpu(MSXCPU::instance())
{
}

IRQHelper::~IRQHelper()
{
	reset();
}

} // namespace openmsx
